# Resident Portals

Manages, creates and gets configuration of resident portals for a tenant.

## Adds Resident Portal

 - [POST /residentPortals](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/addresidentportal.md): Allows the user to add a resident portal.

## Query Resident Portals

 - [POST /residentPortals/query](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/queryresidentportals.md): Gets the list of resident portals using the specified query.

## Gets Resident Portal

 - [GET /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/fetchresidentportal.md): Allows the user to get a resident portal with the given id.

## Delete Resident Portal

 - [DELETE /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/deleteresidentportal.md): Allows the user to delete a resident portal with the given id.

## Updates Resident Portal Configurations

 - [PATCH /residentPortals/{portalId}](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/editresidentportal.md): Allows the user to selectively update resident portal configurations.

## Gets Resident Portal File

 - [GET /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/downloadportalfile.md): Allows the user to get a resident portal file with the given id.

## Deletes Resident Portal File

 - [DELETE /residentPortals/{portalId}/files/{type}](https://docs.ruckus.cloud/api/property-management-1.0.1/resident-portals/deleteportalfile.md): Allows the user to delete a resident portal file with the given id.

